Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512942 - /usr/lib/polkit-1/polkitd consumes 20 to 30 % CPU constantly
Summary: /usr/lib/polkit-1/polkitd consumes 20 to 30 % CPU constantly
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rtkit
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 13:37 UTC by Nenad Opsenica
Modified: 2018-05-29 11:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1235681
Environment:
Last Closed: 2018-05-29 11:38:25 UTC


Attachments (Terms of Use)

Description Nenad Opsenica 2017-11-14 13:37:11 UTC
This still happens with Fedora 26 and Mate desktop.

+++ This bug was initially created as a clone of Bug #1235681 +++

Description of problem:

New install of Fedora 22 x86_64.  polkitd is using way too much CPU, all the time


Version-Release number of selected component (if applicable):

rpm -qf /usr/lib/polkit-1/polkitd
polkit-0.112-9.fc22.x86_64


How reproducible:

Install.  Boot.  Using the cinnamon desktop.

--- Additional comment from  on 2015-09-01 17:09:08 EDT ---

Same problem here.

This results in lags everywhere. While dragging windows, while typing, ...
Problem seems to be related to NetworkManager.

Try systemctl stop NetworkManager should fix this problem (ofc Internet will not work). Please try this. CPU usage should go away, too.

This happens with Cinnamon only!
Gnome works fine (other DEs, too I think).

Anybody any idea how to fix that?

--- Additional comment from  on 2015-09-14 11:12:03 EDT ---

Yes, I find this only true with Cinnamon

--- Additional comment from Miloslav Trmač on 2015-09-14 11:21:36 EDT ---

Thanks for your report. Could you try to track down the source of the activity?

Probably the easiest option is to follow https://wiki.ubuntu.com/DebuggingDBus (the system bus part) and look for the most frequent calls to org.freedesktop.PolicyKit1.Authority. )

Alternatively, as root run
> G_MESSAGES_DEBUG=all /usr/lib/polkit-1/polkitd --replac |& tee log
let it run for a while, then press Ctrl-C. Then search the resulting log file for the most frequent instances of
> … is inquiring whether … is authorized for …
(but this might change system behavior because the logging interferes with polkit-pkla-compat, undoing that would require additional steps)

--- Additional comment from  on 2015-09-14 21:32:32 EDT ---

I run this for half an hour and see nothing but:

Successfully changed to user polkitd
20:51:17.594: Loading rules from directory /etc/polkit-1/rules.d
20:51:17.594: Loading rules from directory /usr/share/polkit-1/rules.d
20:51:17.595: Finished loading, compiling and executing 9 rules
Entering main event loop
Connected to the system bus
20:51:17.599: Acquired the name org.freedesktop.PolicyKit1 on the system bus


The whole time polkitd is very active and using between 5 and 15 % of CPU.

--- Additional comment from  on 2015-09-14 21:32:45 EDT ---

I run this for half an hour and see nothing but:

Successfully changed to user polkitd
20:51:17.594: Loading rules from directory /etc/polkit-1/rules.d
20:51:17.594: Loading rules from directory /usr/share/polkit-1/rules.d
20:51:17.595: Finished loading, compiling and executing 9 rules
Entering main event loop
Connected to the system bus
20:51:17.599: Acquired the name org.freedesktop.PolicyKit1 on the system bus


The whole time polkitd is very active and using between 5 and 15 % of CPU.

--- Additional comment from Miloslav Trmač on 2015-09-15 13:02:39 EDT ---

Sorry, the command is
> G_MESSAGES_DEBUG=all /usr/lib/polkit-1/polkitd --replace |& tee log
(--replace, not --replac); but the output you show suggest that you probably got it to work.

Still, no polkit requests at all? And the system otherwise works fine?!

I guess I will have to spin a VM… I’ll try an ordinary Workstation install + (dnf groupinstall); is there anything special I should know as a first^Wsecond-time Cinnamon user?

--- Additional comment from pb on 2016-01-13 06:49:11 EST ---

I have the same problem with MATE desktop
polkitd is constantly eating 20-50% CPU according "top"

My 10 minutes log:

G_MESSAGES_DEBUG=all /usr/lib/polkit-1/polkitd --replace >/var/tmp/log 2>&1 &
sleep 600 ; kill %1
awk '/is inquiring whether/||/is authorized for/{print$NF}' /var/tmp/log \
 |sort|uniq -c

  22968 org.freedesktop.RealtimeKit1.acquire-high-priority
  31320 org.freedesktop.RealtimeKit1.acquire-real-time

(nothing else)

--- Additional comment from Miloslav Trmač on 2016-01-13 08:14:46 EST ---

Thanks, the ~90 requests per second at a few ms per request can easily account for such a load.

So, next step is tracking what causes at least ~50 rtkit calls per second; looking at RPM dependencies. pulseaudio seems to be the only user, but reassigning to rtkit to be sure.

--- Additional comment from Fedora End Of Life on 2016-07-19 11:02:34 EDT ---

Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Fedora End Of Life 2018-05-03 08:11:31 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 11:38:25 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.